Bug 10189 - Samba 4 effectively prevents all windows home editions from connecting
Samba 4 effectively prevents all windows home editions from connecting
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
unspecified
All All
: P5 major
: ---
Assigned To: Samba QA Contact
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 13:14 UTC by naughty.mark
Modified: 2013-10-15 10:57 UTC (History)
0 users

See Also:


Attachments
worth 1000 words (47.65 KB, image/png)
2013-10-09 13:14 UTC, naughty.mark
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description naughty.mark 2013-10-09 13:14:18 UTC
Created attachment 9260 [details]
worth 1000 words

In the investigation into why all my samba shares have completely stopped letting any windows connect it seems to appear that the developers decided to change it so that only computers connected to a domain can access the smb shares.   Now what this did is turn samba from a working file share into a junk box holding files that no windows on my network can access.

the problem:
Windows 7 home premium will not connect to any domains.   Isn't this like 95% of the windows 7 machines out there in use?

I'm unsure about windows 8 or why anyone would even want that on a desktop

I'm sure not going to invest $100 bucks in a nearly obsolete OS just to upgrade it to connect to a domain so i can use samba.

Anyways it looks like you guys are going to put samba into the dirt with this one but good luck.

If I have miss read the wiki or was misinformed by other sources i apologize but the fact still remains i am running samba on 3 machines and can not connect to any of them over this stupid domain issue.
Comment 1 Zane Zakraisek 2013-10-09 15:54:08 UTC
I have no issues with my Home edition computers. When it asks for a username and a password, have you tried entering GREEN-U\mark as your username?
Comment 2 naughty.mark 2013-10-12 05:03:03 UTC
I get a error that sums up to say no such user.  3 or 4 times.

Then it changed it's behavior to not sending the error window and just stating bad username or password in the bottom of the login window.

I also tried with green-u/ which is the correct name of that machine if caps matter same results of bad username or password in the bottom of the login window.

Tried to connect to another machine running samba, with BLUE\mark same no error window / bad username or password results in login window.
Comment 3 naughty.mark 2013-10-12 05:31:01 UTC
If I do this in reverse and access windows shares from linux it works just fine and does not even ask for a password. Those passwords are different.  

Also from linux it won't even see the samba shares on other linux machines other than it's own.

One exception is the router's usb shares are seen.
Comment 4 naughty.mark 2013-10-14 20:32:57 UTC
I'm assuming nobody cares about this bug.  Google is no help as I can find hundreds of similar cases and no cures.

Going back to a working version of samba, (say like last years version) that actually worked is going to be some major hassle now, right?  Like I don't know if ubuntu will install outdated packages and revert it's samba updates?   Am I going to have to recompile my own samba now to have a working copy?  Before whatever changes has broken it.

This is majorly disappointing since I have invested about 900 dollars on a machine to run as a file server, and those services are broken by samba. 

What is the most saddening is that Samba worked great before they got help from Microsoft.   Now look at it.   Microsoft has infected it.   They've ruined it like everything else they get their greedy little fingers around.

Thanks guys.
Comment 5 Volker Lendecke 2013-10-15 08:07:10 UTC
(In reply to comment #4)
> I'm assuming nobody cares about this bug.  Google is no help as I can find
> hundreds of similar cases and no cures.

The message in the first comment indicates that you are trying to join a domain, not just connect to a share. This is indeed not supported. Just connecting with a domain\username should work fine. Tested this just yesterday.

Volker
Comment 6 naughty.mark 2013-10-15 10:57:20 UTC
It appears that what is botching it up is somewhere updates that samba/windows can not handle the same username under different passwords any longer.  WIN7 HE won't join a domain or perhaps it still would? 

I had to create a new user on the share and connect to it instead.  That was the easy cure for me.  There are other and likely better methods of handling the issue listed in the post I found here http://ubuntuforums.org/archive/index.php/t-2168808.html

I'll mark this resolved and hope anyone else having this issue can find the answer.